Subject: Re: linux-next: ldp build failure

From: Greg KH <[email-masked]>
Date: Tue, 3 Jun 2008 22:24:03 -0700

On Wed, Jun 04, 2008 at 03:08:19PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/media/video/s2255drv.c:1659: error: unknown field 'vidioc_enum_fmt_cap' specified in initializer
> drivers/media/video/s2255drv.c:1659: warning: initialization from incompatible pointer type
> drivers/media/video/s2255drv.c:1660: error: unknown field 'vidioc_g_fmt_cap' specified in initializer
> drivers/media/video/s2255drv.c:1660: warning: initialization from incompatible pointer type
> drivers/media/video/s2255drv.c:1661: error: unknown field 'vidioc_try_fmt_cap' specified in initializer
> drivers/media/video/s2255drv.c:1661: warning: initialization from incompatible pointer type
> drivers/media/video/s2255drv.c:1662: error: unknown field 'vidioc_s_fmt_cap' specified in initializer
> drivers/media/video/s2255drv.c:1662: warning: initialization from incompatible pointer type
> 
> Caused by commit 7ddf62fca6b9be8867204dfcd062bca43a75bae6 ("V4L/DVB
> (7949): videodev: renamed the vidioc_*_fmt_* callbacks") from the v4l-dvb
> tree.  I applied the patch below.

Thanks for the patch, I'll apply it when I resend the driver to Mauro,
hopefully tomorrow :)

thanks,

greg k-h